pro convert_fits, vieux_nom_fiche, nouveau_nom_fiche
;
; CONVERT_FITS
; CONVERT_FITS converts files created by the original, VMS-incompatible
; version of WRT_FITS (Yohkoh software tree) to FITS files readable by
; the IDL astronomy library routine READFITS.
; NOTE: This routine works under OpenVMS or VMS ONLY!
; D.M. fecit, 1er Decembre, 1993
;
;
if !version.os ne 'vms' then begin
   print, '%CONVERT_FITS-F-PAS_VMS, ce soft marche seule dans VMS.'
   stop
end
;
openr, in_unit, vieux_nom_fiche, /get_lun
openw, out_unit, nouveau_nom_fiche, 2880, /get_lun
;
a = bytarr(2880) & readu, in_unit, a & header = strarr(80,36)
for i_head = 0, 35 do begin
   header(i_head) = string(a(80*i_head:80*i_head + 79))
end
writeu, out_unit, header
;
n_byte_per_pixel = fix(strmid(header(1), 9, 20))/8
n_axis = fix(strmid(header(2), 9, 20))
n_axis_1 = fix(strmid(header(3), 9, 20))
n_axis_2 = fix(strmid(header(4), 9, 20))
;
print, '%CONVERT_FITS-I-SIZE, the array contains ' + strtrim(n_axis_1, 2) + $
       ' x ' + strtrim(n_axis_2, 2) + ' pixels of ' + $
       strtrim(n_byte_per_pixel, 2) + ' octets.'
;
n_rec = long(n_axis_1)*n_axis_2/2880 & extra = long(n_axis_1)*n_axis_2 mod 2880
if extra ne 0 then n_rec = n_rec + 1
image_length = n_rec*2880l
case n_byte_per_pixel of
   1: image = bytarr(image_length)
   2: image = intarr(image_length)
   3: image = lonarr(image_length)
end
;
readu, in_unit, image & close, in_unit & free_lun, in_unit
writeu, out_unit, image & close, out_unit & free_lun, out_unit
;
print, '%CONVERT_FITS-I-SUCCES, FITS image ecritee a ' + nouveau_nom_fiche
;
end
