pro gbo_scale,haimg,haout,x0,y0,r,mktv=mktv

;+
;	CALLING SEQUENCE
;	    gbo_scale,haimg,haout,x0,y0,r [,mktv=mktv]
;
;	HISTORY
;	   Procedure developed to shrink BBSO Halpha image and 
;	   place it correctly in a 512x512 SXT image 
;	   Written by L. Acton  7-nov-91
;	   Modified for generality  10-apr-92
;
;	PARAMETERS
;	   haimg is the input GBO image
;	   haout is the rescaled output image
;	   x0, y0 are center of SXT image in FR pixels from find_limb
;	   r is radius of SXT image in FR pixels from find_limb
;
;	KEYWORDS
;	   if you want the code to put haout on a window set /mktv
;-

xsxt = 500.4/2    ; X coordinate of FR SXT image
if n_elements(x0) ne 0 then xsxt=x0/2.

ysxt = 563.3/2    ; Y coordinate of FR SXT image
if n_elements(x0) ne 0 then ysxt=y0/2.

rsxt = 390.8/2    ; Radius of FR SXT image.
if n_elements(r) ne 0 then rsxt=r/2.

ha=bytarr(512,512)
ha(0:511,30:505)=haimg(48:559,0:475)
find_limb,ha<40,x,y,rh
;  print,x/2,y/2,rh/2

ha=congrid(ha,512*2*rsxt/rh,512*2*rsxt/rh)
;  help,ha
siz = size(ha)
nx=siz(1)
ny=siz(2)
;  print,nx,ny
hb=bytarr(512,512)
hb(0:nx-1,0:ny-1)=ha
;  tv,hb
find_limb,hb<40,x,y,rh
;  print,x/2,y/2,rh/2
dx=fix(xsxt-x/2)
dy=fix(ysxt-y/2)
;  print,dx,dy
;  print,nx,ny
tx=float(dx+nx-512) & ty=float(dy+ny-512)
;  print,tx,ty
if (tx gt 0) then nx = 512-dx 
if (ty gt 0) then ny = 512-dy
;  print,nx,ny
haout=bytarr(512,512)
haout(dx:dx+nx-1,dy:dy+ny-1)=ha(0:nx-1,0:ny-1)

if keyword_set(mktv) ne 0 then tv,haout

end

