function get_newsoon, head=head, dattim=dattim, observatory=observatory, $
	rmdarklimb=rmdarklimb, scale=scale
;+
;
;   Name: get_newsoon
;
;   Purpose: return newest SOON image
;
;   Calling Sequence:
;      newsoon=get_newsoon( [dattim=dattim, head=head, observatory=observatory])
;
;   History:
;      10-jul-1995 (SLF)
;      12-jul-1995 (SLF) - made north at TOP
;      23-sep-1995 (SLF) - add RM_DARKLIMB and SCALE switches
;      24-sep-1995 (SLF) - change RM_DARKLIMB to RMDARKLIMB
;			   (function name / keyword name conflict)
;      28-apr-1996 (SLF) - protect agains 1st choice not there
;-

slist=['glh','ghh'] ; ,'gch']
nobs=n_elements(slist)
obslist='SOON/' + ['Lear.','Hollo.'] ;,'Boulder']

tims=lonarr(nobs)
reftim=timegrid(ut_time(),day=-10)
lowtim=-1
i=0

retim=get1gbo(slist(i),dattim=dattim,head=head)
if data_chk(retim,/scaler) then lowtim=-1 else $
   lowtim=int2secarr(dattim,reftim)
observatory=obslist(i)
for i=1,n_elements(slist)-1 do begin
   newimg=get1gbo(slist(i),dattim=dattimx,head=headx)
   if not data_chk(newimg,/scaler) then begin
      if (int2secarr(dattimx,reftim)) gt lowtim then begin
         retim=temporary(newimg)
         head=headx
         dattim=dattimx
         lowtim=int2secarr(dattim,reftim)
         observatory=obslist(i)
      endif
   endif
endfor

retim(where(retim eq max(retim))) = 0

retim=bytscl(rotate(retim,7))

if keyword_set(rmdarklimb) then begin
   targets=[fxpar(head,'CRPIX1'),fxpar(head,'CRPIX2'),fxpar(head,'CRRADIUS')]
   out=rm_darklimb(retim,target=targets,/setback)
   retim=sigma_filter(out,n_sig=1)
   ss=where(retim gt 20 and retim lt 150,sscnt)
   if sscnt gt 0 then $
      retim=bytscl(retim, min=min(retim(ss)) ,max=max(retim(ss)) ) else $
      retim=bytscl(retim,min=10,max=180)
endif

return,retim
end

