pro mk_gol_str, infil, out
;
;
;HISTORY:
;	Written 22-Apr-93 by M.Morrison
;	28-Mar-94 (MDM) - Modified to use RFITS2 instead of RFITS
;	 2-May-94 (SLF) - dont sort scaler return 
;
gbo_struct, gbo_obs=data_ref
;
n = n_elements(infil)
out = replicate(data_ref, n)
;
for i=0,n-1 do begin
    print, 'Now Processing: ', infil(i)
    img = rfits2(infil(i), h=h)
    ;
    break_file, infil(i), dsk_log, dir, filnam, ext
    fid = strmid(filnam+ext, 3, 11)
    daytim = anytim2ints( fid2ex(fid) )
    ;
    image_shape = 1
    site = strupcase( strmid(filnam, 1, 1) )
    type = strupcase( strmid(filnam, 2, 1) )
    if (type eq 'C') then begin
	type = 'H'
	image_shape = 2
    end
    ;
    out(i).time		= daytim.time
    out(i).day		= daytim.day
    out(i).duration	= -1
    out(i).st$site	= byte( site )
    out(i).st$image_type= byte( type )
    out(i).image_shape	= image_shape
    ;
    if (max(strpos(h, 'SELSIS-SOON')) ge 0) then out(i).processing = 1
    ;
    if (site eq 'B') then begin		;BBSO
	if (max(strpos(h, '26"')) ge 0) then out(i).telescope = 1
	if (max(strpos(h, '5"')) ge 0) then out(i).telescope = 2
    end
    ;
    ss = where(strmid(h, 0, 6) eq 'SEEING')
    if (ss(0) ne -1) then begin
	val = fix(strmid(h(ss(0)), 10, 20))
	if (site eq 'B') then val = val + 1		;TODO - is this correct?
	out(i).seeing = val
    end
    ;	
    ss = where(strmid(h, 0, 7) eq 'QUALITY')
    if (ss(0) ne -1) then begin
	val = fix(strmid(h(ss(0)), 10, 20))
	out(i).data_qual = val
    end
    ;	
    out(i).fov = 0		;TODO

    siz = size(img)
    out(i).npix(0) = siz(1)
    out(i).npix(1) = siz(2)
    ;
    out(i).location = 0		;TODO
    ;
    out(i).noaa = 0		;TODO
end
;
x = int2secarr(out)
if n_elements(out) gt 1 then out = out(sort(x))	;time sort them
end
