pro nob_img_copy, date, noget_ls=noget_ls, ls=ls, files=out_files
;
;+
;HISTORY:
;	Written 4-Oct-93 by M.Morrison
;-
;
out_files = ''
ls = ''
;
if (n_elements(date) eq 0) then begin		;assume called by batch job
    daytim = anytim2ints(!stime)
    daytim.day = daytim.day - 1
    tarr = anytim2ex(daytim)
    date = gt_day(tarr, /str, /leadzero)
end else begin
    date = gt_day(anytim2ex(date), /str, /leadzero)
end
date = strlowcase(date)
;
;-------------------- Setup up variables
outdir  = getenv('ydb_raw') + '/nobeyama_raw'
logdir  = '$ys/site/script'
ls_fil = concat_dir(outdir, 'nob_img.ls')
ftp_fil = concat_dir(logdir, 'nob_img.ftp')
node = '133.40.76.80'

if (not keyword_set(noget_ls)) then begin
    spawn, 'rm -f ' + ftp_fil
    openw, lun, ftp_fil, /get_lun
    printf, lun, 'open ' + node
    printf, lun, 'user anonymous yohkoh'
    printf, lun, 'prompt'
    printf, lun, 'ls pub/map ' + ls_fil
    printf, lun, 'bye'
    free_lun, lun
    ;
    cmd = 'ftp -n < ' + ftp_fil
    result = ''
    spawn, cmd, result
    prstr, result
    ;;if (result(0) ne '') then return
end

;-------------------- Get list of image names to be copied

ls = rd_tfile(ls_fil)
day_fid = strmid( ex2fid(anytim2ex(date)), 0, 6)	;930927 for example
ss = where(strpos(ls, day_fid) ne -1)
if (ss(0) eq -1) then begin
    print, 'NOB_IMG_COPY: No images found for day: '+day_fid
    return
end
;
ls0 = ls(ss)
files = ''
ss = where(strpos(ls0, 'acp') ne -1, count)
if (ss(0) ne -1) then files = [files, ls0(ss(count/2))]
ss = where(strpos(ls0, 'scp') ne -1, count)
if (ss(0) ne -1) then files = [files, ls0(ss(count/2))]
if (n_elements(files) eq 1) then begin
    message = 'NOB_IMG_COPY: Found images with the proper date, but not with "acp" or "scp"
    prstr, message
    if (getenv('MAIL_BBSO_COPY2') ne '') then mail, message, user='$MAIL_BBSO_COPY2'
    prstr, ls0
    return
end else begin
    files = files(1:*)
end
;
out_files = concat_dir(outdir, files)
;
spawn, 'rm -f ' + ftp_fil
openw, lun, ftp_fil, /get_lun
printf, lun, 'open ' + node
printf, lun, 'user anonymous yohkoh'
printf, lun, 'binary'
printf, lun, 'cd pub/map'
for i=0,n_elements(files)-1 do printf, lun, 'get ' + files(i) + ' ' + out_files(i)
printf, lun, 'bye'
free_lun, lun

cmd = 'ftp -n < ' + ftp_fil
result = ''
spawn, cmd, result
;
if (result(0) eq '') then begin
    message = 'NOB_IMG_COPY successful for ' + arr2str(files)
    if (getenv('MAIL_BBSO_COPY1') ne '') then mail, message, user='$MAIL_BBSO_COPY1'
end else begin
    message = ['BBSO_COPY unsuccessful for ' + arr2str(files), result]
    if (getenv('MAIL_BBSO_COPY2') ne '') then mail, message, user='$MAIL_BBSO_COPY2'
end
;
end
