pro plot_gol, sttim, entim, gol=gol, qdebug=qdebug
;
;
;
status = 0
if (n_elements(gol) eq 0) then rd_week_file, sttim, entim, 'gol', gol, status=status
if (status gt 0) then begin
    message, 'No data found ', /info
    return
end
;
n = n_elements(gol)
types = string(gol.st$image_type)
sites = string(reform(gol.st$site, 1, n))
st = types + sites			;site-types
;
uss = uniq(st, sort(st)) 		;uniq site-types
ust = st( uss )
nn = n_elements(ust)
val = intarr(n)
for i=0,nn-1 do val( where(st eq ust(i)) ) = i
site_arr = get_gol_site( gol(uss) )
;
usersym,[0,0],[-1.5,1.5]
utplot, gol, val, psym=8, xstyle=2, xmargin=[16,4], $
    ytickv=indgen(nn+2)-1, ytickname=[' ', site_arr, ' '], yticks=nn+3, yrange=[-1,nn]
;
types = get_gol_type( gol(uss) )
for i=0,nn-1 do begin
    qwrite = 0
    if (i eq nn-1) then qwrite = 1 else if (types(i+1) ne types(i)) then qwrite = 1
    if (qwrite) then begin
	oplot, !x.crange, [1,1]*i+.5, linestyle=1
	x0 = !x.crange(0) + (!x.crange(1) - !x.crange(0))/2.
	xyouts, x0, i+.2, types(i), size=1.4, alignment=0.5
    end
end
;
plottime, 0, 0, 'PLOT_GOL  Ver 1.0
plottime
if (keyword_set(qdebug)) then stop
end
