pro rd_selsis, infil, event, region, infil2=infil2, qdebug=qdebug
;
;+
;   Name: rd_selsis
;
;   Purpose: read selsis region reports and convert-> NAR structures
;
;   History:
;      1-jan-1992 (Circa) - Mons Morrrison
;      24-jan-97 - S.L.Freeland - major rewrite (simplify via use of rd_tfile, $
;                                 str2arr, etc handle new SEL formats
  
qdebug = keyword_set(qdebug)

gbo_struct, gev_data=event0, nar_data=region0
;
nbuff = 200
region = replicate(region0, nbuff)
;
sign = [-1,1]
 
exist=file_exist(infil)                            ;
ess=where(exist,count)
rp=-1
for i=0,count-1  do begin
    filename=infil(ess(i))
    break_file,filename,ll,pp,ff,vv,ee
    data=rd_tfile(filename)
    day=gt_day(strmid(ff,0,2)+'-'+strmid(ff,2,3)+'-'+strmid(ff,5,2))
    reg0=(where(strpos(data,'REGIONS WITH SUNSPOTS' ) ne -1,cnt0))(0)
    reg1=(where(strpos(data,'WITHOUT SPOTS') ne -1,cnt1))(0)
    for ri=reg0+2,reg1-1 do begin 
       line=data(ri)
       if strpos(line,'NONE') ne 0 then begin 
       rp=rp+1
       ;   0       1     2   3    4   5    6   7  
       ; NMBR LOCATION  LO  AREA  Z   LL   NN MAG TYPE        ; field->ss map
       info=str2arr(line,' ',/nomult)
       region0.day 		= day
       region0.noaa 		= fix(info(0))
       loc=info(1)
       region0.location(0) 	= sign(strmid(loc, 3, 1) eq 'W') * $
	                          fix(strmid(loc,4,2))
       region0.location(1)	= sign(strmid(loc,0,1) eq 'N') * $
	                          fix(strmid(loc,  1, 2))
       region0.longitude	= fix(info(2))
       region0.area		= fix(info(3))
       region0.st$macintosh	= byte(info(4))
       region0.long_ext		= fix(info(5))
       region0.num_spots	= fix(info(6))
       region0.st$mag_type	= byte(info(7))
       region(rp)=region0
       if qdebug then stop
       endif else message,/info,"No SPOTTED regions for: " + ff+vv+ee
     endfor
endfor
event=0b
if rp lt 0  then region=0b else region=region(0:rp)
;
return
end
