pro selsis_week, week, testing=testing
;+
;   Name: selsis_week
;
;   Purpose: copy up to a week of selsis data and generate/regenerate ydb files
;
;   Input Parameters
;      week - week (string in format YY_WW) (default is this week)
;
;   History:
;      27-apr-95 (SLF) - simplify catchup
;      31-may-95 (SLF) - strip 'a' from weekid name (was getting duplicated)
;-


if n_elements(week) eq 0 then week=(anytim2weekid(t0,/string))(0) 
testing=keyword_set(testing)

; get week time range
pr_week2tim,week,t0,t1
t1=timegrid(t1,/day,/string)			; advance a day

curtime=ut_time()

; if it's this week, trim to present time (dont copy future files)

if (int2secarr([t1,ut_time()]))(1) lt 0 then t1=curtime 

tg=timegrid(t0,t1,/day,/string)			; desired time grid

for i=0,n_elements(tg)-1 do begin
   message,/info,"selsis_copy,'" + tg(i) + "'"   
   if not testing then selsis_copy,tg(i)
endfor

week=str_replace(week,'a','')		; strip 'a' from week
cmds="mk_" + ["gev","nar","gxt"] + ",week='" + week + "'"
for i=0,n_elements(cmds)-1 do begin
   message,/info,cmds(i)
   if not testing then exe=execute(cmds(i))
endfor

return
end
