pro selsisi_copy, date, imgfil=imgfil
;
;+
;
;   Name: selsisi_copy
;   
;   Purpose: copy selsis image files
;
;       14-May-93 (MDM) - Changed to use $ydb_raw and $ys
;       26-May-93 (MDM0 - Changed to use /ys/site/script instead of /ys/gen/script
;       19-Aug-93 (MDM) - Removed /self switch from Mail call
;	 3-Jan-94 (MDM) - Modified the mailing list
;	29-Apr-94 (SLF) - Major Rewrite 
;			     change logic (allow PARTIAL success to continue)
;                            look for compressed versions if failures
;                            streamline using new routines
;        3-May-94 (SLF) - retry on failure for '_Z' extension, use updated
;                         ftp_copy.pro for all transfers, allow imgfil passed
;       16-May-94 (SLF) - directory error bug fix (message called with array)
;       19-May-94 (SLF) - mail message update
;       23-May-94 (SLF) - fix incorrect variable name
;       30-Aug-94 (SLF) - add fl_suntoday call (collage image)
;
;-
outdir1  = getenv('DIR_GBO_TEMP')
logdir  = '$ys/site/script'
filnam1  = 'directory.lis'
ftp_fil = concat_dir(logdir, 'selsisi_copy.ftp')
outfil1  = concat_dir(outdir1, filnam1)
selnode='132.163.224.10'
seluser='image'
;
if not keyword_set(imgfil) then begin
   file_delete,ftp_fil
   ftp_copy, filnam1, selnode, seluser, ftp_file=ftp_fil, ftp_results=dir_res, $
      outdir=outdir1,/get

   if (dir_res(0) ne '') then begin
       message = ['SELSISI - Directory Problem',rd_tfile(ftp_fil)]
       mail, message, user='software@isass0, $MAIL_CRONJOBS',subj=message(0)
       message,/info,message(0)
       return
   end
;
   selimg = ['Full Disk H-alpha', 'Full Disk Magnetic']
   dirlist = rd_selsisi_dir(infil=outfil1, selimg=selimg, outfil=imgfil, /new)
   if (dirlist(0) eq '') then begin
       dirlist0 = rd_selsisi_dir(infil=outfil1)
       message = ['SELSISI_COPY found no matches for following selection', $
   		'    ' + selimg, $
   		'Full directory listing follows:', $
 		dirlist0]
       mail, message, user='$MAIL_CRONJOBS'
       stop
   end
endif
;
file_delete,ftp_fil
status=strarr(n_elements(imgfil))
compss=-1
; loop for each file - retry _Z on failures
for i=0,n_elements(imgfil)-1 do begin
   ftp_copy, imgfil(i), selnode, seluser, ftp_file=ftp_fil, ftp_results=res, $
      outdir=outdir1,/get
   if res(0) ne '' then begin
      message,/info,'Fail for file: ' + imgfil(i) + ', trying compressed'
      ftp_copy, imgfil(i)+'_Z', selnode, seluser, ftp_file=ftp_fil, ftp_results=res, $
         outdir=outdir1, /get
      if res(0) eq '' then begin
         message,/info,'Found compressed version...'
         rename,'_Z','.Z',filt=concat_dir(outdir1,imgfil(i)+'_Z')
         file_uncompress,concat_dir(outdir1,imgfil(i)) 
      endif else message,/info,"Could not find compressed version either..."
   endif
   status(i)=res(0)
endfor


goodss=where(status eq '',gcnt)
badss=where(status ne '',bcnt)
mess=''
case 1 of
   gcnt eq 0 and bcnt gt 0: begin
      musers='freeland@isass0, $MAIL_CRONJOBS'
      subject='SELSISI: NO FILES TRANSFERRED'
      mess=[subject,'','Problem Files,,,',imgfil(badss)]
   endcase
   gcnt gt 0 and  bcnt eq 0: begin
      musers='$MAIL_CRONJOBS'
      subject='SELSISI: NOMINAL'
      mess=[subject,'','Files transfered ok...',imgfil(goodss)]
      fl_suntoday,/generate
   endcase
   gcnt gt 0 and bcnt gt 0: begin
      musers='freeland@isass0, $MAIL_CRONJOBS'
      subject='SELSISI: PARTIAL FAILURE'
      mess=[subject,'','Problem Files,,,',imgfil(badss),'', $
           'Files transfered ok...',imgfil(goodss)]
      fl_suntoday,/generate
   endcase
   else: begin
      message,/info,'what does this imply??'
      musers='freeland'      
      subject='selsisi_copy message
      mess=[imgfil,'goodss=' + string(goodss),'badss=' + string(badss) ]
   endcase
endcase
  
mail,mess,subj=subject,user=musers
if gcnt gt 0 then wr_selsisi_dir, dirlist(goodss)

return
end
