	STRUCTURE       /GSN_Pointer_rec/
	  integer*4	stEntry		! 00
	  integer*4     time            ! 04- Time (millisec of day) of earliest image
	  integer*2     day             ! 08- Day (since 1-Jan-79) of earliest image in file
	  integer*4	duration	! 10- The time span of images contained within the tape file
					!     (latest image date/time - earliest image date/time)

	  character*12	tape_name	! 14- The tape label (ie: R931125a.01)
					!	where	R = site (P,L,H,R,S)
					!		931125 = year/month/day of first data on tape (in UT)
					!		A = drive (A,B)
					!		.01 = Tape writing program version
	  integer*2	file_num	! 26- The file number on the tape
	  integer*2	n_images	! 28- Number of images within the tape file

	  byte		site		! 30- Observation site (slightly redundant from tape label)
					!	(See table lookup below)

	  character*8	object          ! 31- NOAA active region number
	  byte		image_types(5)	! 39- A list of the different image types contained 
					!     within the tape/file
	  integer*2	pix_siz(2)	! 44- Pixel size in milli-arcsec
	  integer*2	image_shape(2)	! 48- The number of pixels in E/W and N/S direction

	  integer*2     location(2)     ! 52- The location in angular coordinates
                                        !     Values are in 0.1 arcseconds units
                                        !       (0) = E/W (E is negative)
                                        !       (1) = N/S (S is negative)
					!     These are the coordinates for the first image
					!     in the tape file
	  integer*2	location_del	! 56- The maximum distance in 0.1 arcsec of all images
					!     relative first image location.
	  byte		spare(6)	! 58-
	END STRUCTURE			! 64- Total bytes
	

	STRUCTURE       /GSN_Obs_rec/
	  integer*4     time            ! 00- Time (millisec of day)
	  integer*2     day             ! 04- Day (since 1-Jan-79)

	  byte		image_type	! 06- h-alpha, magnesium b2, magnetogram
					!	(See table lookup below)

	  byte		tranpar		! 07- The sky transparency intensity units
					!     Takes the "TRANS" field and scales 0-10 V to 0-255 

	  integer*2     location(2)     ! 08- The location in angular coordinates
                                        !     Values are in 0.1 arcseconds units
                                        !       (0) = E/W (E is negative)
                                        !       (1) = N/S (S is negative)
	  integer*2	image_num	! 12- Image number within the file/block on
					!     the archive tape
	  integer*2	image_avg	! 14- Image average
	END STRUCTURE                   ! 16-

	STRUCTURE       /GSN_Version_rec/
	  integer*2	roadmap /'B011'x/ !   - The SOON/SPOT header/pointer structure version
	  integer*2	data /'B021'x/	!    - The SOON/SPOT data entry structure version
	END STRUCTURE

