pro soup_obs, header, sel, ss, roadmap=roadmap
;
;
;HISTORY:
;	Written Mar-93 by M.Morrison
;	16-Apr-93 (MDM) - Fixed error with respect to ROADMAP second plot
;
descr = string(header.wave, format='(i6)') + string(header.offset, format='(i5)') + header.polarity
u_descr = descr( uniq(descr, sort(descr)) )
key_arr = intarr(n_elements(descr))
for i=0,n_elements(u_descr)-1 do key_arr(where(descr eq u_descr(i))) = i
nn = n_elements(u_descr)
;
ref_time = header(0)

x = int2secarr(header, ref_time)
y = key_arr
xrange = [0, max(x)]
;
erase
if (keyword_set(roadmap)) then begin	;plot the SXT images first
    usersym,[0,0],[-1.0,1.0]
    !p.region = [0, .51, .95, .95]
    utplot, roadmap, roadmap.seq_num, ref_time, psym=8, xrange=xrange, ytit='Sequence Number', xmargin=[16,4]
end
;
if (keyword_set(roadmap)) then !p.region = [0, 0, .95,.5] else !p.region = 0
;
usersym,[0,0],[-1.5,1.5]
utplot,header,key_arr,ref_time, psym=8, $
	ytickname=u_descr,ytickv=indgen(nn),yticks=nn-1,xmargin=[16,4],yrange=[-1,nn], xrange=xrange, /noerase
;
if (n_params(0) ge 2) then begin
    selimg = bytarr(n_elements(x))
    get_boxcorn, x0, y0, x1, y1, /data
    draw_boxcorn, x0, y0, x1, y1, /data
    print, 'X Range: ', x0, x1
    print, 'Y Range: ', y0, y1
    ss = where( (x ge x0) and (x le x1) and (y ge y0) and (y le y1))
    if (ss(0) ne -1) then selimg(ss) = 1
    print, 'There are ', strtrim(fix(total(selimg)),2), ' images selected'
end
;
end
